import { get } from '@/utils/request';

export async function query(): Promise<any> {
  return get('/api/users');
}

export async function queryCurrent(): Promise<any> {
  return get('/api/currentUser');
}

export async function queryNotices(): Promise<any> {
  return get('/api/notices');
}

/**
 * 查看是否已经登录
 */
export const checkUserLoginStatus = async () => get(`/api/v1/login/status`);
/**
 * 查看当前用户信息
 */
export const getCurrentUserInfo = async () => get(`/api/v1/detail`);
/**
 * 获取用户配置信息
 */
export const getCurrentUserSetting = async () => get(`/api/v1/profile/settings`);
